Bug 1120955 - [Docs][PRD3.5][3.5Beta][Change] Changes to running virtual machines are now applied when the machine shuts down
Summary: [Docs][PRD3.5][3.5Beta][Change] Changes to running virtual machines are now a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tahlia Richardson
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 03:39 UTC by Andrew Dahms
Modified: 2015-02-15 23:59 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1131735 (view as bug list)
Environment:
Last Closed: 2015-02-15 23:59:07 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-18 03:39:18 UTC
Now, when users edit the properties of virtual machines that are running, those changes are applied when the virtual machine next shuts down. Before, the changes would simply not be applied at all.

This should involve a simple note box outlining the new behavior somewhere near topic 12677 in the Administration Guide.

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=922377

Comment 1 Tahlia Richardson 2014-08-14 07:13:30 UTC
Hi Omer,

Can you please confirm whether I've understood this correctly, or if I've missed something?  

To my understanding, all properties can now be edited while the VM is running, and all changes will be applied when the VM is shut down/restarted.

So, the changes that need to be made to the documentation[1] are: 

1. Remove mentions of the VM needing to be powered off in order to edit some settings.

2. Remove the list of fields that can be editing while the VM is running (since it is now all of them). 


[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Editing_Virtual_Machine_Properties1


Thanks,
Tahlia

Comment 2 Omer Frenkel 2014-08-17 12:49:19 UTC
1. dont know if i'd remove it, it would make sense to explain vms can be edited while running, but only some of the properties will be applied imeediately, and some would be applied on the next run.

2. maybe we can change the list to describe the fields that apply immediately, does this make sense?

Comment 3 Tahlia Richardson 2014-08-17 23:41:37 UTC
1. Ah, I see. I'll do that. Thanks!

2. Yes, that makes sense. Is the list of fields that apply immediately the same as the list already in the doc, or does it need updating?

Comment 4 Tahlia Richardson 2014-08-18 01:29:33 UTC
Revised text, pending confirmation of the list of changes that will apply immediately: 

"Summary
Changes to storage, operating system, or networking parameters can adversely affect the virtual machine. Ensure that you have the correct details before attempting to make any changes. Virtual machines can be editing while running, but must be restarted or shut down before some changes will be applied. This procedure explains how to edit a virtual machine. It is necessary to edit a virtual machine in order to change its settings.
⁠
Procedure 9.9. Editing a virtual machine:

   1. Select the virtual machine to be edited.

   2. Click the Edit button to open the Edit Virtual Machine window.

   3. Change the General, System, Initial Run, Console, Host, High Availability, Resource Allocation, Boot Options, and Custom Options fields as required.

    Changes to the following fields will be applied immediately:

		<list> 

    To apply changes to all other settings, the virtual machine must restarted or shut down.

    4. If the Next Restart Configuration pop-up window appears, click OK. 

    5. Click OK to save your changes. Changes from the list in Step 3 will be applied immediately. All other changes will be applied once you restart your virtual machine. 

Result
You have changed the settings of a virtual machine by editing it."

Comment 5 Omer Frenkel 2014-08-18 09:13:04 UTC
list of fields that can be applied immediately:
name, description, comment, vm-type (desktop/server), priority, HA, delete-protection, disable strict user checking (allow-console-reconnect), tunnel-migration (editable with rest-api), custom migration downtime, quota, network interfaces

Comment 6 Tahlia Richardson 2014-08-19 00:58:04 UTC
Thanks Omer, I'll update the doc now.

Comment 7 Tahlia Richardson 2014-08-19 03:53:07 UTC
Updated topic [12677-699896]

Admin guide rev history [34613-699899]

User Guide rev history [34617-699900]

Comment 8 Tahlia Richardson 2014-08-20 01:10:37 UTC
Flipping to POST for tech review. 

Meital, can you please check the technical accuracy of this section (Editing Virtual Machine Properties):
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Editing_Virtual_Machine_Properties1

Build: Red_Hat_Enterprise_Virtualization-Administration_Guide-3.5-Beta-web-en-US-3.5-7.el6eng

Note: User Guide is still awaiting rebuild, but contains the same topic so review of the Admin Guide will suffice for tech review.

Comment 9 meital avital 2014-08-28 13:01:06 UTC
Ilanit - please review the part of edit running VM

Comment 10 Ilanit Stein 2014-09-01 11:41:43 UTC
I've reviewed the 'edit running VM' section.
Seems OK to me.

As cpu is only if using hot plug, and only for supported versions, it should be documented somewhere in this doc, but I didn't find it. I think there is a separate bug for that?

Comment 11 Julie 2014-09-01 20:51:03 UTC
(In reply to Ilanit Stein from comment #10)
> I've reviewed the 'edit running VM' section.
> Seems OK to me.
> 
> As cpu is only if using hot plug, and only for supported versions, it should
> be documented somewhere in this doc, but I didn't find it. I think there is
> a separate bug for that?

Hi Ilanit,
   Tahlia is currently on leave. Let me have a look at this and get back to you.

Cheers,
Julie

Comment 12 Tahlia Richardson 2014-09-16 03:11:37 UTC
I found BZ#1075466 about hot-plugging cpus, so this bug should be okay to move  onto QA.

Comment 13 Tahlia Richardson 2014-09-16 03:23:36 UTC
Documentation Link 
------------------------------
Admin: https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Editing_Virtual_Machine_Properties1

User: https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/User_Guide/index.html#Editing_Virtual_Machine_Properties1


What Changed 
------------------------------

Editing Virtual Machine Properties [12677-699896]

Removed mentions of the VM having to be shut down for some changes to be made, and replaced with mentions that some changes will be applied immediately while some require restart. Changed the list of fields from a list of those that can be edited while the machine is running, to a list of those that will be applied immediately. 

Updated revision history: 
Admin guide [34613-699899]
User Guide [34617-699900]


NVR
------------------------------

Admin: Red_Hat_Enterprise_Virtualization-Administration_Guide-3.5-Beta-web-en-US-3.5-13.el6eng

User: Red_Hat_Enterprise_Virtualization-User_Guide-3.5-Beta-web-en-US-3.5-9.el6eng

Moving to ON_QA

Comment 14 Julie 2014-10-13 02:21:55 UTC
Verified. 

Cheers,
Julie


Note You need to log in before you can comment on or make changes to this bug.